summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authornemetz <nemetz@email.com>2015-01-16 11:11:34 -0200
committernemetz <nemetz@email.com>2015-01-16 11:11:34 -0200
commit648ebc08d64894eb08f8c1d3b2dfe90c796b7ec4 (patch)
tree34bb6af1061c077c66549caee3b69abd221191c4 /bin
parentb2616c820e255efaab2633dc4fac1c9b593e26eb (diff)
downloadetherpad-lite-648ebc08d64894eb08f8c1d3b2dfe90c796b7ec4.zip
check for io.js
Added a check for io.js
Diffstat (limited to 'bin')
-rwxr-xr-xbin/installDeps.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/bin/installDeps.sh b/bin/installDeps.sh
index ba2f56a4..00575845 100755
--- a/bin/installDeps.sh
+++ b/bin/installDeps.sh
@@ -23,6 +23,7 @@ hash curl > /dev/null 2>&1 || {
}
#Is node installed?
+#not checking io.js, default installation creates a symbolic link to node
hash node > /dev/null 2>&1 || {
echo "Please install node.js ( http://nodejs.org )" >&2
exit 1
@@ -45,9 +46,13 @@ fi
#check node version
NODE_VERSION=$(node --version)
NODE_V_MINOR=$(echo $NODE_VERSION | cut -d "." -f 1-2)
+#iojs version checking added
+IOJS_VERSION=$(iojs --version)
if [ ! $NODE_V_MINOR = "v0.8" ] && [ ! $NODE_V_MINOR = "v0.10" ] && [ ! $NODE_V_MINOR = "v0.11" ]; then
- echo "You're running a wrong version of node, you're using $NODE_VERSION, we need v0.8.x, v0.10.x or v0.11.x" >&2
- exit 1
+ if [ ! $IOJS_VERSION ]; then
+ echo "You're running a wrong version of node, or io.js is not installed. You're using $NODE_VERSION, we need v0.8.x, v0.10.x or v0.11.x" >&2
+ exit 1
+ fi
fi
#Get the name of the settings file